Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | List of all members
osmium::object_order_type_id_reverse_version Struct Reference

`#include <object_comparisons.hpp>`

## Public Member Functions
bool | operator() (const osmium::OSMObject &lhs, const osmium::OSMObject &rhs) const noexcept
bool | operator() (const osmium::OSMObject *lhs, const osmium::OSMObject *rhs) const noexcept

## Detailed Description

Function object class for ordering OSM objects by type, ID, and reverse version, timestamp. So objects are ordered by type and ID (negative IDs first, then positive IDs, both in the order of their absolute values), but later versions of an object are ordered before earlier versions of the same object. This is useful when the last version of an object needs to be used.

## Member Function Documentation

## ◆ operator()() [1/2]

bool osmium::object_order_type_id_reverse_version::operator() | ( | const osmium::OSMObject & | lhs,
|  | const osmium::OSMObject & | rhs ) const
| inline noexcept

## ◆ operator()() [2/2]

bool osmium::object_order_type_id_reverse_version::operator() | ( | const osmium::OSMObject * | lhs,
|  | const osmium::OSMObject * | rhs ) const
| inline noexcept

Precondition
  lhs and rhs must not be nullptr

The documentation for this struct was generated from the following file:

- include/osmium/osm/object_comparisons.hpp